Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_CosNotify_Service Class Reference

A service object for creating the Notify Service Factory. More...

`#include <CosNotify_Service.h>`

Inheritance diagram for TAO_CosNotify_Service:

[legend]
Collaboration diagram for TAO_CosNotify_Service:

[legend]
List of all members.

## Public Methods
| TAO_CosNotify_Service (void)
| Constuctor.
virtual | ~TAO_CosNotify_Service ()
| Destructor.
virtual int | init (int argc, char *argv[])
| = Service_Object virtual method overloads.
virtual int | fini (void)
virtual void | init (CORBA::ORB_ptr orb ACE_ENV_ARG_DECL)
| Init.
virtual CosNotifyChannelAdmin::EventChannelFactory_ptr | create (PortableServer::POA_ptr default_POA ACE_ENV_ARG_DECL)
| Create the Channel Factory.
virtual void | remove (TAO_Notify_EventChannelFactory *ecf ACE_ENV_ARG_DECL)
| Called by the factory when it is destroyed.
## Protected Methods
virtual void | init_i (CORBA::ORB_ptr orb ACE_ENV_ARG_DECL)
| Init the data members.
virtual void | init_factory (ACE_ENV_SINGLE_ARG_DECL)
| Create the Factory for Notify objects.
virtual void | init_builder (ACE_ENV_SINGLE_ARG_DECL)
| Create the Builder for Notify objects.
void | set_threads (CosNotification::QoSProperties &qos, int threads)
| Set thread options on <qos>.
## Protected Attributes
TAO_Notify_Factory * | factory_
| Service component for object factory operations.
TAO_Notify_Builder * | builder_
| Service component for building NS participants.

## Detailed Description

A service object for creating the Notify Service Factory.

## Constructor & Destructor Documentation

TAO_CosNotify_Service::TAO_CosNotify_Service | ( | void |  | ) |

| Constuctor.

TAO_CosNotify_Service::~TAO_CosNotify_Service | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual CosNotifyChannelAdmin::EventChannelFactory_ptr TAO_CosNotify_Service::create | ( | PortableServer::POA_ptr default_POA | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Create the Channel Factory. Implements TAO_Notify_Service.

int TAO_CosNotify_Service::fini | ( | void |  | ) | `[virtual]`

| Reimplemented from ACE_Shared_Object.

void TAO_CosNotify_Service::init | ( | CORBA::ORB_ptr orb | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Init. Implements TAO_Notify_Service. Reimplemented in TAO_RT_Notify_Service.

int TAO_CosNotify_Service::init | ( | int | argc,
|  | char * | argv[]
| ) | `[virtual]`

| = Service_Object virtual method overloads. Implements TAO_Notify_Service. Reimplemented in TAO_RT_Notify_Service.

void TAO_CosNotify_Service::init_builder | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected, virtual]`

| Create the Builder for Notify objects. Reimplemented in TAO_RT_Notify_Service.

void TAO_CosNotify_Service::init_factory | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected, virtual]`

| Create the Factory for Notify objects. Reimplemented in TAO_RT_Notify_Service.

void TAO_CosNotify_Service::init_i | ( | CORBA::ORB_ptr orb | ACE_ENV_ARG_DECL | ) | `[protected, virtual]`

| Init the data members. Reimplemented in TAO_RT_Notify_Service.

virtual void TAO_CosNotify_Service::remove | ( | TAO_Notify_EventChannelFactory *ecf | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Called by the factory when it is destroyed.

void TAO_CosNotify_Service::set_threads | ( | CosNotification::QoSProperties & | qos,
|  | int | threads
| ) | `[protected]`

| Set thread options on <qos>.

## Member Data Documentation

TAO_Notify_Builder* TAO_CosNotify_Service::builder_`[protected]`

| Service component for building NS participants.

TAO_Notify_Factory* TAO_CosNotify_Service::factory_`[protected]`

| Service component for object factory operations.

The documentation for this class was generated from the following files:

- CosNotify_Service.h
- CosNotify_Service.cpp